import request from '@/utils/request'

// 查询转岗培训模版内容列表
export function listYsTmplContent(query) {
  return request({
    url: '/bccnew/ysTmplContent/list',
    method: 'get',
    params: query
  })
}

// 查询转岗培训模版内容详细
export function getYsTmplContent(id) {
  return request({
    url: '/bccnew/ysTmplContent/' + id,
    method: 'get'
  })
}

// 新增转岗培训模版内容
export function addYsTmplContent(data) {
  return request({
    url: '/bccnew/ysTmplContent',
    method: 'post',
    data: data
  })
}

// 修改转岗培训模版内容
export function updateYsTmplContent(data) {
  return request({
    url: '/bccnew/ysTmplContent',
    method: 'put',
    data: data
  })
}

// 删除转岗培训模版内容
export function delYsTmplContent(id) {
  return request({
    url: '/bccnew/ysTmplContent/' + id,
    method: 'delete'
  })
}

// 导出转岗培训模版内容
export function exportYsTmplContent(query) {
  return request({
    url: '/bccnew/ysTmplContent/export',
    method: 'get',
    params: query
  })
}